using System.Security.Cryptography.X509Certificates;
using System.Linq;
using Rainbow.Models;

namespace Rainbow.Data
{
    public class ServersRepository : GenericRepository<Server>, IServersRepository
    {
        public ServersRepository(RainbowContext context)
            : base(context)
        {            
        }

        public Server GetByHostName(string name)
        {
            return Context.Servers.SingleOrDefault(d => d.HostName == name);
        }
    }
}
